Bug 1291489 - epel7 scorep fails to rebuild
epel7 scorep fails to rebuild
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: scorep (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7aarch64
  Show dependency treegraph
 
Reported: 2015-12-14 18:35 EST by Yaakov Selkowitz
Modified: 2015-12-31 18:27 EST (History)
2 users (show)

See Also:
Fixed In Version: scorep-1.4.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-31 18:27:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-12-14 18:35:59 EST
Attempting to rebuild scorep-1.4.1-2.el7 on any arch fails:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12190086

../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp: In member function 'void SCOREP_Score_Estimator::printGroups()':
../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp:606:42: error: 'setw' was not declared in this scope
          << " " << setw( m_widths.m_type ) << "type"
                                          ^

Rebasing to at least 1.4.2-1 (commit c7ce840) builds successfully:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12190190
Comment 1 Fedora Update System 2015-12-15 13:47:34 EST
scorep-1.4.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-58efd34d91
Comment 2 Fedora Update System 2015-12-16 10:19:46 EST
scorep-1.4.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update scorep'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-58efd34d91
Comment 3 Fedora Update System 2015-12-31 18:27:39 EST
scorep-1.4.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.